Minecraft 1.17 update fails and server crash

  • 439 Views
  • Last Post 5 weeks ago
  • Topic Is Solved
TheActualZ posted this 23 June 2021

Hi.

OS: Ubuntu. Host: Hetzner

Sadly I have been unable to update our Minecraft server to 1.17, running spigot with a handful of plugins. The first time I finally got it working I updated java to 16 instead of 8, but the server kept crashing even without any plugins. Sometimes it ran for 10 seconds and other times I never built spawn areas.

Then I used a snapshot to roll back 7 days and try again without updating everything on the server at the same time. I updated the plugins I know can cause issues in 1.17 and ran the server to make sure it's running. Now trying again without just running upgrade all command to get java 16.

My first issue is: The version you have requested to build requires Java versions between [Java 16, Java 16], but you are using Java 8

I did the command ampinstmgr upgradeall a AMP user and rebooted.

I cannot select version 16 in AMP, i can select two different version of 8. /usr/lib/jvm/java-1.8.0-openjdk-amd64/bin/java /usr/lib/jvm/java-8-openjdk-amd64/bin/java

What is the correct way to get java 16?

Order By: Standard | Newest | Votes
TheActualZ posted this 23 June 2021

Field Value OS Linux Platform Ubuntu 20.04.2 LTS

System Type x86_64

Virtualization QEMU_KVM

Module MinecraftModule

Loaded Plugins FileManagerPlugin, EmailSenderPlugin, WebRequestPlugin, LocalFileBackupPlugin, CommonCorePlugin

Application Name AMP

Application Version 2.1.1.8

Release Stream Release

Build Date 10/06/2021 10:55

Last Executable /usr/lib/jvm/java-1.8.0-openjdk-amd64/bin/java

Last Arguments -Xmx4048M -Djline.terminal=jline.UnsupportedTerminal -jar spigot-1.16.5.jar nogui -nojline --log-strip-color

Last Process ID 1450

Mike posted this 23 June 2021

You should uninstall any versions of Java already on your system and then run as root:

bash <(wget -qO- getamp.sh) installJava

This will install the appropriate version(s) of Java. After that, restart AMP.

TheActualZ posted this 23 June 2021

Hi Mike.

Thanks for the reply. I got 16 installed with the command and it showed up. I could now compile 1.17. But it still crashes on load. ( Similer issue as before )

Unable to start server. Killed by user

But i didn't "kill" it.

I have rmeoved all plugins to see if this works, same.

TheActualZ posted this 23 June 2021

Some more information:

Initial setup was: 2vCPU 4gb ram ( never uses more than 3gb )

and tried to upgrade to 3vcpus 4gb ram

then i upgraded to 4vcpus and 8gb ram, now it finally starts the server. I will have some people test idoing the day, hoping doesnt crash again.

it kept changing to 1.16.5 and I had to set it to 1.17 every time i shutdown the server.

Does 1.17 really require dobule the amount of CPUs just to start?

Mike posted this 5 weeks ago

1.17 is more memory hungry than previous version from what I've heard.

fafdk posted this 5 weeks ago

What happens if you start fresh, building a new instance of Minecraft?

I also had problems previously, with updates on specific servers, probably caused by something not compatible with future versions. If this happens on a specific instance, I just build a fresh and all is good. I know this is not optimal, but it is the best approach for me, don't have the time. I suspect some plugin mess things up, leaving traces on the map, making it not compatible with future updates.

Those instances running completely vanilla do not have these problems, so I suspect that some plugins are doing "something" with the "World" which makes it difficult to update, refusing it to start.

As to the increased CPU, I have not seen a major raise there, but I have not investigated it further. Not many joins these days, but I will look at it when they come back to play. I only run a small server, so your requirements might be different.

TheActualZ posted this 5 weeks ago

Hi .

Update :)

The server haven't crashed again after i upgraded to more vCPUs and more memory. If it crashes again, i will try a new instance.

Close